//
//  GSGlyphCell.h
//  Glyphs
//
//  Created by Georg Seifert on 31.10.10.
//  Copyright 2010 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>

typedef NS_ENUM(uint8_t, GSGlyphCellOrientation) {
	GSGlyphCellOrientationAuto = 0,
	GSGlyphCellOrientationHorizontal,
	GSGlyphCellOrientationVertical,
};

@class GSLayer;
@class GSLayerDrawHelper;

@interface GSGlyphCell : NSTextFieldCell

@property (nonatomic, strong) NSString *masterID;
@property (nonatomic) BOOL drawPlaceholder;
@property (nonatomic) BOOL fillOutlines;
@property (nonatomic) BOOL drawNodes;
@property (nonatomic) BOOL drawAnchors;
@property (nonatomic) BOOL drawGlyphNotes;
@property (nonatomic) BOOL drawGlyphName;
@property (nonatomic) BOOL drawColorLabel;
@property (nonatomic) BOOL drawMetrics;
@property (nonatomic) GSGlyphCellOrientation orientation;
@end
