//
//  GSIndexedLookupTable.h
//  GlyphsCore
//
//  Created by Georg Seifert on 02.08.12.
//  Copyright (c) 2012 schriftgestaltung.de. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface GSIndexedLookupTable : NSObject {
	NSMutableDictionary <NSNumber*,id>*_dict;
}

- (void)setObject:(id)object forRange:(NSRange)range;
- (void)setObject:(id)object startIndex:(NSInteger)start endIndex:(NSInteger)end;

- (id)objectAtIndex:(NSInteger)index;
#if 0
- (NSArray *)objectsAtIndex:(NSInteger)index;
#endif
- (NSUInteger)count;

- (BOOL)rangeForObject:(id)object start:(NSInteger *)start end:(NSInteger *)end;
@end
